{% set name = "pycapo" %}
{% set version = "0.3.0" %}

package:
  name: "{{ name|lower }}"
  version: "{{ version }}"

source:
  url: https://pypi.io/packages/source/{{ name[0] }}/{{ name }}/{{ name }}-{{ version }}.tar.gz
  sha256: 507d47278a66f2a67dc817e2dae533374ad0c8312aed7ab6e23e1b322baef5c6

build:
  noarch: python
  number: 0
  entry_points:
    - pycapo = pycapo.commands:pycapo
  script: "{{ PYTHON }} -m pip install . --no-deps --ignore-installed -vv "

requirements:
  host:
    - pip
    - python
    - pytest
    - pytest-runner
  run:
    - python

test:
  imports:
    - pycapo
    - tests
  commands:
    - pycapo --help
  requires:
    - pytest
    - pytest-runner

about:
  home: https://open-bitbucket.nrao.edu/projects/SSA/repos/pycapo
  license: GNU General Public v2 (GPLv2)
  license_family: GPL2
  license_file: 
  summary: CAPO (CASA, Archive, and Pipeline Options) for Python
  doc_url: 
  dev_url: 

extra:
  recipe-maintainers:
    - your-github-id-here
